Bug 115420 - Yum is not i18n-safe
Yum is not i18n-safe
Status: CLOSED RAWHIDE
Product: Red Hat Raw Hide
Classification: Retired
Component: yum (Show other bugs)
1.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jeff Johnson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-02-12 03:36 EST by Nicolas Mailhot
Modified: 2014-01-21 17:48 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-03-11 08:23:38 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
patch to fix the above problem (420 bytes, patch)
2004-02-12 15:09 EST, Seth Vidal
no flags Details | Diff

  None (edit)
Description Nicolas Mailhot 2004-02-12 03:36:22 EST
Yum is checking for system errors in english.
When the system returns localized errors, it fails.

[root@ulysse root]# yum check-update
Traceback (most recent call last):
  File "/usr/bin/yum", line 30, in ?
    yummain.main(sys.argv[1:])
  File "/usr/share/yum/yummain.py", line 169, in main
    lock('/var/run/yum.pid', mypid)
  File "/usr/share/yum/yummain.py", line 121, in lock
    while not yumlock.lock(lockfile, mypid, 0644):
  File "/usr/share/yum/yumlock.py", line 10, in lock
    if not msg.strerror == "File exists": raise msg
OSError: [Errno 17] Le fichier existe.: '/var/run/yum.pid'

[nim@ulysse nim]$ rpm -q yum
yum-2.0.4.20040103-1
Comment 1 Seth Vidal 2004-02-12 14:58:04 EST
grumble.

I need to check against e.errno.

Thanks for pointing this out. I'll have a fix for it shortly.
Comment 2 Seth Vidal 2004-02-12 15:09:33 EST
Created attachment 97625 [details]
patch to fix the above problem

give it a run - see if it resolves your problem. I'll look for others. If you
find anymore report them, Thanks.
Comment 3 Miloslav Trmac 2004-02-13 07:04:08 EST
Wouldn't something like 

from errno import EEXIST
...
if not msg.errno == EEXIT 
...

be cleaner?
Comment 4 Seth Vidal 2004-02-13 08:52:13 EST
I had already changed the patch to use errno instead.

Comment 5 Nicolas Mailhot 2004-02-13 12:31:03 EST
Thanks.
If you still want me to test I'll try to do it during Sunday night or
next Monday
Comment 6 Seth Vidal 2004-02-13 12:48:39 EST
please test it. I am fairly confident it will work but testing isn't bad.
thanks
Comment 7 Nicolas Mailhot 2004-02-19 13:28:47 EST
The patch works.
Now it has only to find its way into a rawhide rpm;)
Comment 8 Nicolas Mailhot 2004-02-19 15:24:43 EST
Sorry, shouldn't have closed this before it had hit an actual release
Comment 9 Nicolas Mailhot 2004-03-11 08:23:38 EST
Seems fixed in RawHide now

Note You need to log in before you can comment on or make changes to this bug.